From: "Robin H. Johnson" <robbat2@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/gh/
Date: Sat, 16 Feb 2019 23:52:07 +0000 (UTC) [thread overview]
Message-ID: <1550361082.e936ab9c374e5fb171057afb3759b1aae2261ead.robbat2@gentoo> (raw)
commit: e936ab9c374e5fb171057afb3759b1aae2261ead
Author: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
AuthorDate: Sat Feb 16 23:15:57 2019 +0000
Commit: Robin H. Johnson <robbat2 <AT> gentoo <DOT> org>
CommitDate: Sat Feb 16 23:51:22 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e936ab9c
dev-ruby/gh: add ruby25
Package-Manager: Portage-2.3.59, Repoman-2.3.12
Signed-off-by: Robin H. Johnson <robbat2 <AT> gentoo.org>
dev-ruby/gh/gh-0.15.1-r2.ebuild | 47 +++++++++++++++++++++++++++++++++++++++++
1 file changed, 47 insertions(+)
diff --git a/dev-ruby/gh/gh-0.15.1-r2.ebuild b/dev-ruby/gh/gh-0.15.1-r2.ebuild
new file mode 100644
index 00000000000..b239382a9b7
--- /dev/null
+++ b/dev-ruby/gh/gh-0.15.1-r2.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+USE_RUBY="ruby23 ruby24 ruby25"
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_GEMSPEC="gh.gemspec"
+
+inherit ruby-fakegem
+
+DESCRIPTION="multi-layer client for the github api v3"
+HOMEPAGE="https://github.com/travis-ci/gh"
+SRC_URI="https://github.com/travis-ci/gh/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE=""
+
+ruby_add_bdepend "
+ dev-ruby/webmock
+"
+
+ruby_add_rdepend "
+ >=dev-ruby/addressable-2.4.0:0
+ dev-ruby/backports
+ >dev-ruby/faraday-0.8
+ >dev-ruby/multi_json-1.0
+ dev-ruby/net-http-pipeline
+"
+
+RDEPEND="${RDEPEND}
+ ruby_targets_ruby23? ( >=dev-ruby/net-http-persistent-2.9:0[ruby_targets_ruby23] )
+ ruby_targets_ruby24? ( >=dev-ruby/net-http-persistent-2.9:0[ruby_targets_ruby24] )
+ ruby_targets_ruby25? ( >=dev-ruby/net-http-persistent-3:3[ruby_targets_ruby25] )
+"
+
+all_ruby_prepare() {
+ sed -i \
+ -e '/addressable/ s/2.4.0/2.4/' \
+ -e '/net-http-persistent/ s/~> 2.9/>= 2.9/' \
+ -e 's/git ls-files/find/' \
+ "${RUBY_FAKEGEM_GEMSPEC}" || die
+}
next reply other threads:[~2019-02-16 23:52 UTC|newest]
Thread overview: 23+ messages / expand[flat|nested] mbox.gz Atom feed top
2019-02-16 23:52 Robin H. Johnson [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-03-27 14:25 [gentoo-commits] repo/gentoo:master commit in: dev-ruby/gh/ Hans de Graaff
2023-03-13 7:14 Hans de Graaff
2022-06-12 8:33 Hans de Graaff
2022-06-11 6:27 Hans de Graaff
2020-09-15 6:00 Hans de Graaff
2020-06-26 7:39 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2020-05-23 18:49 Hans de Graaff
2020-04-09 4:13 Hans de Graaff
2019-05-04 19:14 Hans de Graaff
2019-04-13 6:34 Hans de Graaff
2018-06-07 4:54 Hans de Graaff
2018-04-30 20:11 Hans de Graaff
2018-02-03 18:22 Hans de Graaff
2017-03-14 5:43 Hans de Graaff
2017-02-03 7:36 Hans de Graaff
2017-02-03 7:36 Hans de Graaff
2016-12-18 7:45 Hans de Graaff
2016-11-25 6:25 Hans de Graaff
2016-11-17 7:05 Hans de Graaff
2016-02-13 20:19 Christoph Junghans
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1550361082.e936ab9c374e5fb171057afb3759b1aae2261ead.robbat2@gentoo \
--to=robbat2@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox